hpp-plot: hpp::plot::GraphWidget Class Reference

hpp-plot 9.0.2 Plotting tools for HPP

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
hpp::plot::GraphWidget Class Reference

`#include <hpp/plot/graph-widget.hh>`

Inheritance diagram for hpp::plot::GraphWidget:
[legend]
Collaboration diagram for hpp::plot::GraphWidget:
[legend]

## Public Slots
void | updateGraph ()
void | updateEdges ()
void | saveDotFile ()

## Public Member Functions
| GraphWidget (QString name=QString(), QWidget *parent=NULL)
| ~GraphWidget ()

## Protected Slots
virtual void | nodeContextMenu (QGVNode *node)
virtual void | nodeDoubleClick (QGVNode *node)
virtual void | edgeContextMenu (QGVEdge *edge)
virtual void | edgeDoubleClick (QGVEdge *edge)

## Protected Member Functions
virtual void | fillScene ()

## Protected Attributes
QGVScene * | scene_
QWidget * | buttonBox_
QTextEdit * | elmtInfo_
QTextEdit * | loggingInfo_
QTextEdit * | constraintInfo_

## Constructor & Destructor Documentation

## ◆ GraphWidget()

hpp::plot::GraphWidget::GraphWidget | ( | QString | name = `QString()`,
|  | QWidget * | parent = `NULL`
| ) |  |

## ◆ ~GraphWidget()

hpp::plot::GraphWidget::~GraphWidget | ( |  | ) |

## Member Function Documentation

## ◆ edgeContextMenu

void hpp::plot::GraphWidget::edgeContextMenu | ( | QGVEdge * | edge | ) |
| protectedvirtualslot

## ◆ edgeDoubleClick

void hpp::plot::GraphWidget::edgeDoubleClick | ( | QGVEdge * | edge | ) |
| protectedvirtualslot

## ◆ fillScene()

void hpp::plot::GraphWidget::fillScene | ( |  | ) |
| protectedvirtual

Reimplemented in hpp::plot::HppManipulationGraphWidget, and hpp::plot::HppNativeGraphWidget.

## ◆ nodeContextMenu

void hpp::plot::GraphWidget::nodeContextMenu | ( | QGVNode * | node | ) |
| protectedvirtualslot

## ◆ nodeDoubleClick

void hpp::plot::GraphWidget::nodeDoubleClick | ( | QGVNode * | node | ) |
| protectedvirtualslot

## ◆ saveDotFile

void hpp::plot::GraphWidget::saveDotFile | ( |  | ) |
| slot

## ◆ updateEdges

void hpp::plot::GraphWidget::updateEdges | ( |  | ) |
| slot

## ◆ updateGraph

void hpp::plot::GraphWidget::updateGraph | ( |  | ) |
| slot

## Member Data Documentation

## ◆ buttonBox_

QWidget* hpp::plot::GraphWidget::buttonBox_
| protected

## ◆ constraintInfo_

QTextEdit* hpp::plot::GraphWidget::constraintInfo_
| protected

## ◆ elmtInfo_

QTextEdit* hpp::plot::GraphWidget::elmtInfo_
| protected

## ◆ loggingInfo_

QTextEdit* hpp::plot::GraphWidget::loggingInfo_
| protected

## ◆ scene_

QGVScene* hpp::plot::GraphWidget::scene_
| protected

The documentation for this class was generated from the following files:

- include/hpp/plot/graph-widget.hh
- src/graph-widget.cc